module crypted.digests.SHA1;

/* 
 * This Modules uses code based upon code from the Cryptix Java Library;
 *
 * Copyright (C) 1995-2000 The Cryptix Foundation Limited.
 * All rights reserved.
 *
 * Use, modification, copying and distribution of this software is subject to
 * the terms and conditions of the Cryptix General Licence. You should have
 * received a copy of the Cryptix General Licence along with this library;
 * if not, you can download a copy from http://www.cryptix.org/ .
 *
 * All modifications and new code :
 * Copyright (C) 2003 Mike Wynn <mike.wynn@l8night.co.uk>
 * All rights reserved.
 *
 */
import crypted.digests.shaimpl;

class SHA1 : ShaImpl
{
	this() { super(); }

protected:
	void expandInteral( int[] W )
	{
		int i, j;
		for( i = 16; i < 80; i++ )
		{
			j = W[i-16] ^ W[i-14] ^ W[i-8] ^ W[i-3];
			W[i] = (j << 1) | (j >>> -1);
		}
	}
}
